#!/bin/sh
##-----------------------------------------------------------------------------
## /usr/local/bin/bbtune-pickcolor.sh - fli4l
## - Pick textcolor or backgroundcolor or colormode for colecho
##
##        P L E A S E   R E A D   T H E   D O C U M E N T A T I O N ,
##                      S E E   R E A D M E . T X T
##
##        B I T T E  U N B E D I N G T   D I E   D O K U M E N T A T I O N
##              L E S E N ,  S I E H E   R E A D M E . T X T
##
## Creation:     2014-11-30 hb
## Last Update:  2014-12-02 hb
##
## Internel version 0.1.5
##
## Version 0.2.0
##
## Copyright (c) 2014 Helmut Backhaus <helmut.backhaus@gmx.de>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##-----------------------------------------------------------------------------

case "$1" in
         black)  echo "b" ;;
           red)  echo "rd" ;;
         green)  echo "gn" ;;
          blue)  echo "bl" ;;
         brown)  echo "br" ;;
       magenta)  echo "mg" ;;
          cyan)  echo "cy" ;;
         white)  echo "w" ;;
        normal)  echo "n" ;;
        bright)  echo "br" ;;
        darken)  echo "dk" ;;
      blinking)  echo "bl" ;;
       inverse)  echo "inv" ;;
     bright-bl)  echo "brbl" ;;
    bright-inv)  echo "brinv" ;;
  dim-blinking)  echo "dibl" ;;
   dim-inverse)  echo "diinv" ;;
             *)  echo "x" ;;
esac
